Roster
Get the latest result
GET
/
roster
/
result
/
{jobId}
{
"roster": {
"demandFulfillment": {
"shiftDemand": {
"min": {
"demand": 123,
"assigned": 123
},
"ideal": {
"demand": 123,
"assigned": 123
},
"max": {
"demand": 123,
"assigned": 123
}
},
"timeDemand": {
"min": {
"demand": 123,
"assigned": 123
},
"ideal": {
"demand": 123,
"assigned": 123
},
"max": {
"demand": 123,
"assigned": 123
}
}
},
"employeeRosters": [
{
"employeeId": "<string>",
"summary": {
"hoursAssigned": 123,
"hoursEffective": 123
},
"assignments": [
{
"day": {
"date": "2023-12-25",
"dayIndex": 1
},
"shiftId": "<string>",
"roleId": "<string>",
"assignmentType": "LOCKED"
}
]
}
],
"extensions": {
"templateShifts": [
{
"id": "<string>",
"intervals": [
{
"startTime": "<string>",
"endTime": "<string>",
"dayIndicator": 0,
"workload": {
"factor": 1,
"category": "<string>"
},
"breakMinutes": 0,
"taskId": "<string>"
}
],
"shiftTemplateId": "<string>",
"labels": [
"<string>"
]
}
]
}
}
}{
"message": "<string>",
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
Include the access token in the Authorization header using the Bearer scheme.
Path Parameters
Unique identifier for the roster job.
Response
Response containing the latest roster result.
The created roster, including relevant information on the demand fulfillment and employee assignments.
Show child attributes
Show child attributes
